---
title: Boolean() constructor
slug: Web/JavaScript/Reference/Global_Objects/Boolean/Boolean
tags:
  - Boolean
  - Constructor
  - JavaScript
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>Boolean()</code></strong> constructor is used to create {{jsxref("Boolean")}} objects.</p>

<div>{{EmbedInteractiveExample("pages/js/boolean-constructor.html","shorter")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">new Boolean([<var>value</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>value</code> {{optional_inline}}</dt>
 <dd>The initial value of the <code>Boolean</code> object.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Creating_Boolean_objects_with_an_initial_value_of_false">Creating <code>Boolean</code> objects with an initial value of <code>false</code></h3>

<pre class="brush: js">var bNoParam = new Boolean();
var bZero = new Boolean(0);
var bNull = new Boolean(null);
var bEmptyString = new Boolean('');
var bfalse = new Boolean(false);
</pre>

<h3 id="Creating_Boolean_objects_with_an_initial_value_of_true">Creating <code>Boolean</code> objects with an initial value of <code>true</code></h3>

<pre class="brush: js">var btrue = new Boolean(true);
var btrueString = new Boolean('true');
var bfalseString = new Boolean('false');
var bSuLin = new Boolean('Su Lin');
var bArrayProto = new Boolean([]);
var bObjProto = new Boolean({});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-boolean-constructor', 'Boolean constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Boolean.Boolean")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Glossary/Boolean">Boolean</a></li>
</ul>
